Index: /XIOS/trunk/src/client.hpp
===================================================================
--- /XIOS/trunk/src/client.hpp	(revision 1638)
+++ /XIOS/trunk/src/client.hpp	(revision 1639)
@@ -10,16 +10,16 @@
     {
       public:
-        static void initialize(const string& codeId, ep_lib::MPI_Comm& localComm, ep_lib::MPI_Comm& returnComm);
+        static void initialize(const string& codeId, MPI_Comm& localComm, MPI_Comm& returnComm);
         static void finalize(void);
-        static void registerContext(const string& id, ep_lib::MPI_Comm contextComm);
+        static void registerContext(const string& id, MPI_Comm contextComm);
         static void callOasisEnddef(void) ;
 
-        static ep_lib::MPI_Comm intraComm;
-        static ep_lib::MPI_Comm interComm;
-        static std::list<ep_lib::MPI_Comm> contextInterComms;
+        static MPI_Comm intraComm;
+        static MPI_Comm interComm;
+        static std::list<MPI_Comm> contextInterComms;
         static int serverLeader;
         static bool is_MPI_Initialized ;
 
-        static ep_lib::MPI_Comm& getInterComm();
+        static MPI_Comm& getInterComm();
 
         //! Get global rank without oasis and current rank in model intraComm in case of oasis
Index: /XIOS/trunk/src/client_client_dht_template.hpp
===================================================================
--- /XIOS/trunk/src/client_client_dht_template.hpp	(revision 1638)
+++ /XIOS/trunk/src/client_client_dht_template.hpp	(revision 1639)
@@ -40,8 +40,8 @@
   public:
     CClientClientDHTTemplate(const Index2InfoTypeMap& indexInfoInitMap,
-                             const ep_lib::MPI_Comm& clientIntraComm);
+                             const MPI_Comm& clientIntraComm);
 
     CClientClientDHTTemplate(const Index2VectorInfoTypeMap& indexInfoInitMap,
-                             const ep_lib::MPI_Comm& clientIntraComm);
+                             const MPI_Comm& clientIntraComm);
 
     void computeIndexInfoMapping(const CArray<size_t,1>& indices);
@@ -55,5 +55,5 @@
 
   protected:
-    CClientClientDHTTemplate(const ep_lib::MPI_Comm& clientIntraComm);
+    CClientClientDHTTemplate(const MPI_Comm& clientIntraComm);
 
   protected:
@@ -62,9 +62,9 @@
     // Redistribute index and info among clients
     void computeDistributedIndex(const Index2InfoTypeMap& indexInfoInitMap,
-                                 const ep_lib::MPI_Comm& intraCommLevel,
+                                 const MPI_Comm& intraCommLevel,
                                  int level);
 
     void computeDistributedIndex(const Index2VectorInfoTypeMap& indexInfoInitMap,
-                                 const ep_lib::MPI_Comm& intraCommLevel,
+                                 const MPI_Comm& intraCommLevel,
                                  int level);
 
@@ -73,5 +73,5 @@
 
     void computeIndexInfoMappingLevel(const CArray<size_t,1>& indices,
-                                      const ep_lib::MPI_Comm& intraCommLevel,
+                                      const MPI_Comm& intraCommLevel,
                                       int level);
 
@@ -85,32 +85,19 @@
     // Send information to clients
     void sendInfoToClients(int clientDestRank, unsigned char* info, int infoSize,
-                           const ep_lib::MPI_Comm& clientIntraComm,
-                           std::vector<ep_lib::MPI_Request>& requestSendInfo);
-    void sendInfoToClients(int clientDestRank, unsigned char* info, int infoSize,
-                           const ep_lib::MPI_Comm& clientIntraComm,
-                           ep_lib::MPI_Request* requestSendInfo);
+                           const MPI_Comm& clientIntraComm,
+                           std::vector<MPI_Request>& requestSendInfo);
 
     void recvInfoFromClients(int clientSrcRank, unsigned char* info, int infoSize,
-                            const ep_lib::MPI_Comm& clientIntraComm,
-                            std::vector<ep_lib::MPI_Request>& requestRecvInfo);
-    void recvInfoFromClients(int clientSrcRank, unsigned char* info, int infoSize,
-                             const ep_lib::MPI_Comm& clientIntraComm,
-                             ep_lib::MPI_Request* requestRecvInfo);
-                                                        
+                            const MPI_Comm& clientIntraComm,
+                            std::vector<MPI_Request>& requestRecvInfo);
 
     // Send global index to clients
     void sendIndexToClients(int clientDestRank, size_t* indices, size_t indiceSize,
-                            const ep_lib::MPI_Comm& clientIntraComm,
-                            std::vector<ep_lib::MPI_Request>& requestSendIndexGlobal);
-    void sendIndexToClients(int clientDestRank, size_t* indices, size_t indiceSize,
-                            const ep_lib::MPI_Comm& clientIntraComm,
-                            ep_lib::MPI_Request* requestSendIndexGlobal);
+                            const MPI_Comm& clientIntraComm,
+                            std::vector<MPI_Request>& requestSendIndexGlobal);
 
     void recvIndexFromClients(int clientSrcRank, size_t* indices, size_t indiceSize,
-                             const ep_lib::MPI_Comm& clientIntraComm,
-                             std::vector<ep_lib::MPI_Request>& requestRecvIndex);
-    void recvIndexFromClients(int clientSrcRank, size_t* indices, size_t indiceSize,
-                              const ep_lib::MPI_Comm& clientIntraComm,
-                              ep_lib::MPI_Request* requestRecvIndex);
+                             const MPI_Comm& clientIntraComm,
+                             std::vector<MPI_Request>& requestRecvIndex);
 
     void sendRecvOnReturn(const std::vector<int>& sendNbRank, std::vector<int>& sendNbElements,
Index: /XIOS/trunk/src/client_client_dht_template_impl.hpp
===================================================================
--- /XIOS/trunk/src/client_client_dht_template_impl.hpp	(revision 1638)
+++ /XIOS/trunk/src/client_client_dht_template_impl.hpp	(revision 1639)
@@ -14,8 +14,8 @@
 {
 template<typename T, typename H>
-CClientClientDHTTemplate<T,H>::CClientClientDHTTemplate(const ep_lib::MPI_Comm& clientIntraComm)
+CClientClientDHTTemplate<T,H>::CClientClientDHTTemplate(const MPI_Comm& clientIntraComm)
   : H(clientIntraComm), index2InfoMapping_(), indexToInfoMappingLevel_(), nbClient_(0)
 {
-  ep_lib::MPI_Comm_size(clientIntraComm, &nbClient_);
+  MPI_Comm_size(clientIntraComm, &nbClient_);
   this->computeMPICommLevel();
   int nbLvl = this->getNbLevel();
@@ -34,8 +34,8 @@
 template<typename T, typename H>
 CClientClientDHTTemplate<T,H>::CClientClientDHTTemplate(const Index2InfoTypeMap& indexInfoMap,
-                                                        const ep_lib::MPI_Comm& clientIntraComm)
+                                                        const MPI_Comm& clientIntraComm)
   : H(clientIntraComm), index2InfoMapping_(), indexToInfoMappingLevel_(), nbClient_(0)
 {
-  ep_lib::MPI_Comm_size(clientIntraComm, &nbClient_);
+  MPI_Comm_size(clientIntraComm, &nbClient_);
   this->computeMPICommLevel();
   int nbLvl = this->getNbLevel();
@@ -59,8 +59,8 @@
 template<typename T, typename H>
 CClientClientDHTTemplate<T,H>::CClientClientDHTTemplate(const Index2VectorInfoTypeMap& indexInfoMap,
-                                                        const ep_lib::MPI_Comm& clientIntraComm)
+                                                        const MPI_Comm& clientIntraComm)
   : H(clientIntraComm), index2InfoMapping_(), indexToInfoMappingLevel_(), nbClient_(0)
 {
-  ep_lib::MPI_Comm_size(clientIntraComm, &nbClient_);
+  MPI_Comm_size(clientIntraComm, &nbClient_);
   this->computeMPICommLevel();
   int nbLvl = this->getNbLevel();
@@ -95,9 +95,9 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::computeIndexInfoMappingLevel(const CArray<size_t,1>& indices,
-                                                                 const ep_lib::MPI_Comm& commLevel,
+                                                                 const MPI_Comm& commLevel,
                                                                  int level)
 {
   int clientRank;
-  ep_lib::MPI_Comm_rank(commLevel,&clientRank);
+  MPI_Comm_rank(commLevel,&clientRank);
   int groupRankBegin = this->getGroupBegin()[level];
   int nbClient = this->getNbInGroup()[level];
@@ -169,14 +169,5 @@
     recvIndexBuff = new unsigned long[recvNbIndexCount];
 
-  int request_size = 0;
-  for (int idx = 0; idx < recvRankClient.size(); ++idx)
-  {
-    if (0 != recvNbIndexClientCount[idx])
-      request_size ++;
-  }
-
-  request_size += client2ClientIndex.size();
-
-  std::vector<ep_lib::MPI_Request> request(request_size);
+  std::vector<MPI_Request> request;
   std::vector<int>::iterator itbRecvIndex = recvRankClient.begin(), itRecvIndex,
                              iteRecvIndex = recvRankClient.end(),
@@ -185,9 +176,8 @@
   int currentIndex = 0;
   int nbRecvClient = recvRankClient.size();
-  int request_position = 0;
   for (int idx = 0; idx < nbRecvClient; ++idx)
   {
     if (0 != recvNbIndexClientCount[idx])
-      recvIndexFromClients(recvRankClient[idx], recvIndexBuff+currentIndex, recvNbIndexClientCount[idx], commLevel, &request[request_position++]);
+      recvIndexFromClients(recvRankClient[idx], recvIndexBuff+currentIndex, recvNbIndexClientCount[idx], commLevel, request);
     currentIndex += recvNbIndexClientCount[idx];
   }
@@ -196,8 +186,8 @@
                                                 iteIndex = client2ClientIndex.end();
   for (itIndex = itbIndex; itIndex != iteIndex; ++itIndex)
-    sendIndexToClients(itIndex->first, (itIndex->second), sendNbIndexBuff[itIndex->first-groupRankBegin], commLevel, &request[request_position++]);
-
-  std::vector<ep_lib::MPI_Status> status(request.size());
-  ep_lib::MPI_Waitall(request.size(), &request[0], &status[0]);
+    sendIndexToClients(itIndex->first, (itIndex->second), sendNbIndexBuff[itIndex->first-groupRankBegin], commLevel, request);
+
+  std::vector<MPI_Status> status(request.size());
+  MPI_Waitall(request.size(), &request[0], &status[0]);
 
   CArray<size_t,1>* tmpGlobalIndex;
@@ -252,24 +242,5 @@
   }
 
-  int requestOnReturn_size=0;
-  for (int idx = 0; idx < recvRankOnReturn.size(); ++idx)
-  {
-    if (0 != recvNbIndexOnReturn[idx])
-    {
-      requestOnReturn_size += 2;
-    }
-  }
-
-  for (int idx = 0; idx < nbRecvClient; ++idx)
-  {
-    if (0 != sendNbIndexOnReturn[idx])
-    {
-      requestOnReturn_size += 2;
-    }
-  }
-
-  int requestOnReturn_position=0;
-
-  std::vector<ep_lib::MPI_Request> requestOnReturn(requestOnReturn_size);
+  std::vector<MPI_Request> requestOnReturn;
   currentIndex = 0;
   for (int idx = 0; idx < recvRankOnReturn.size(); ++idx)
@@ -277,9 +248,9 @@
     if (0 != recvNbIndexOnReturn[idx])
     {
-      recvIndexFromClients(recvRankOnReturn[idx], recvIndexBuffOnReturn+currentIndex, recvNbIndexOnReturn[idx], commLevel, &requestOnReturn[requestOnReturn_position++]);
+      recvIndexFromClients(recvRankOnReturn[idx], recvIndexBuffOnReturn+currentIndex, recvNbIndexOnReturn[idx], commLevel, requestOnReturn);
       recvInfoFromClients(recvRankOnReturn[idx],
                           recvInfoBuffOnReturn+currentIndex*ProcessDHTElement<InfoType>::typeSize(),
                           recvNbIndexOnReturn[idx]*ProcessDHTElement<InfoType>::typeSize(),
-                          commLevel, &requestOnReturn[requestOnReturn_position++]);
+                          commLevel, requestOnReturn);
     }
     currentIndex += recvNbIndexOnReturn[idx];
@@ -315,13 +286,13 @@
 
       sendIndexToClients(rank, client2ClientIndexOnReturn[rank],
-                         sendNbIndexOnReturn[idx], commLevel, &requestOnReturn[requestOnReturn_position++]);
+                         sendNbIndexOnReturn[idx], commLevel, requestOnReturn);
       sendInfoToClients(rank, client2ClientInfoOnReturn[rank],
-                        sendNbIndexOnReturn[idx]*ProcessDHTElement<InfoType>::typeSize(), commLevel, &requestOnReturn[requestOnReturn_position++]);
+                        sendNbIndexOnReturn[idx]*ProcessDHTElement<InfoType>::typeSize(), commLevel, requestOnReturn);
     }
     currentIndex += recvNbIndexClientCount[idx];
   }
 
-  std::vector<ep_lib::MPI_Status> statusOnReturn(requestOnReturn.size());
-  ep_lib::MPI_Waitall(requestOnReturn.size(), &requestOnReturn[0], &statusOnReturn[0]);
+  std::vector<MPI_Status> statusOnReturn(requestOnReturn.size());
+  MPI_Waitall(requestOnReturn.size(), &requestOnReturn[0], &statusOnReturn[0]);
 
   Index2VectorInfoTypeMap indexToInfoMapping;
@@ -389,9 +360,9 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::computeDistributedIndex(const Index2VectorInfoTypeMap& indexInfoMap,
-                                                            const ep_lib::MPI_Comm& commLevel,
+                                                            const MPI_Comm& commLevel,
                                                             int level)
 {
   int clientRank;
-  ep_lib::MPI_Comm_rank(commLevel,&clientRank);
+  MPI_Comm_rank(commLevel,&clientRank);
   computeSendRecvRank(level, clientRank);
 
@@ -468,32 +439,16 @@
   // it will send a message to the correct clients.
   // Contents of the message are index and its corresponding informatioin
-  int request_size = 0;
-   for (int idx = 0; idx < recvRankClient.size(); ++idx)
-   {
-     if (0 != recvNbIndexClientCount[idx])
-     {
-       request_size += 2;
-     }
-   }
- 
-   request_size += client2ClientIndex.size();
-   request_size += client2ClientInfo.size();
- 
-   std::vector<ep_lib::MPI_Request> request(request_size);
-
+  std::vector<MPI_Request> request;
   int currentIndex = 0;
   int nbRecvClient = recvRankClient.size();
-  int request_position=0;
   for (int idx = 0; idx < nbRecvClient; ++idx)
   {
     if (0 != recvNbIndexClientCount[idx])
     {
-      recvIndexFromClients(recvRankClient[idx], recvIndexBuff+currentIndex, recvNbIndexClientCount[idx], commLevel, &request[request_position++]);
-      //if(clientRank==0) printf("recv index request = %p, inserted = %p, request = %d\n", &request[0], request.back(), *static_cast< int*>(request.back()->mpi_request));
+      recvIndexFromClients(recvRankClient[idx], recvIndexBuff+currentIndex, recvNbIndexClientCount[idx], commLevel, request);
       recvInfoFromClients(recvRankClient[idx],
-                            recvInfoBuff+currentIndex*ProcessDHTElement<InfoType>::typeSize(),
-                            recvNbIndexClientCount[idx]*ProcessDHTElement<InfoType>::typeSize(),
-                            commLevel, &request[request_position++]);
-      //if(clientRank==0) printf("recv info request = %p, inserted = %p, request = %d\n", &request[0], request.back(), *static_cast< int*>(request.back()->mpi_request));
+                          recvInfoBuff+currentIndex*ProcessDHTElement<InfoType>::typeSize(),
+                          recvNbIndexClientCount[idx]*ProcessDHTElement<InfoType>::typeSize(),
+                          commLevel, request);
     }
     currentIndex += recvNbIndexClientCount[idx];
@@ -503,15 +458,12 @@
                                                 iteIndex = client2ClientIndex.end();
   for (itIndex = itbIndex; itIndex != iteIndex; ++itIndex)
-  {  sendIndexToClients(itIndex->first, itIndex->second, sendNbIndexBuff[itIndex->first-groupRankBegin], commLevel, &request[request_position++]);
-  }    //if(clientRank==0) printf("send index request = %p, inserted = %p, request = %d\n", &request[0], request.back(), *static_cast< int*>(request.back()->mpi_request));}
+    sendIndexToClients(itIndex->first, itIndex->second, sendNbIndexBuff[itIndex->first-groupRankBegin], commLevel, request);
   std::unordered_map<int, unsigned char*>::iterator itbInfo = client2ClientInfo.begin(), itInfo,
                                                       iteInfo = client2ClientInfo.end();
   for (itInfo = itbInfo; itInfo != iteInfo; ++itInfo)
-   { sendInfoToClients(itInfo->first, itInfo->second, sendNbInfo[itInfo->first-groupRankBegin], commLevel, &request[request_position++]);
-   }//   if(clientRank==0) printf("send info request = %p, inserted = %p, request = %d\n", &request[0], request.back(), *static_cast< int*>(request.back()->mpi_request));}
-
-  std::vector<ep_lib::MPI_Status> status(request.size());
-  
-  ep_lib::MPI_Waitall(request.size(), &request[0], &status[0]);
+    sendInfoToClients(itInfo->first, itInfo->second, sendNbInfo[itInfo->first-groupRankBegin], commLevel, request);
+
+  std::vector<MPI_Status> status(request.size());
+  MPI_Waitall(request.size(), &request[0], &status[0]);
 
   Index2VectorInfoTypeMap indexToInfoMapping;
@@ -566,28 +518,11 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::sendIndexToClients(int clientDestRank, size_t* indices, size_t indiceSize,
-                                                       const ep_lib::MPI_Comm& clientIntraComm,
-                                                       std::vector<ep_lib::MPI_Request>& requestSendIndex)
-{
-  ep_lib::MPI_Request request;
+                                                       const MPI_Comm& clientIntraComm,
+                                                       std::vector<MPI_Request>& requestSendIndex)
+{
+  MPI_Request request;
   requestSendIndex.push_back(request);
-  ep_lib::MPI_Isend(indices, indiceSize, EP_UNSIGNED_LONG,
+  MPI_Isend(indices, indiceSize, MPI_UNSIGNED_LONG,
             clientDestRank, MPI_DHT_INDEX, clientIntraComm, &(requestSendIndex.back()));
-}
-
-/*!
-  Send message containing index to clients
-  \param [in] clientDestRank rank of destination client
-  \param [in] indices index to send
-  \param [in] indiceSize size of index array to send
-  \param [in] clientIntraComm communication group of client
-  \param [in] requestSendIndex sending request
-*/
-template<typename T, typename H>
-void CClientClientDHTTemplate<T,H>::sendIndexToClients(int clientDestRank, size_t* indices, size_t indiceSize,
-                                                       const ep_lib::MPI_Comm& clientIntraComm,
-                                                       ep_lib::MPI_Request* requestSendIndex)
-{
-  ep_lib::MPI_Isend(indices, indiceSize, EP_UNSIGNED_LONG,
-            clientDestRank, MPI_DHT_INDEX, clientIntraComm, requestSendIndex);
 }
 
@@ -601,27 +536,11 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::recvIndexFromClients(int clientSrcRank, size_t* indices, size_t indiceSize,
-                                                         const ep_lib::MPI_Comm& clientIntraComm,
-                                                         std::vector<ep_lib::MPI_Request>& requestRecvIndex)
-{
-  ep_lib::MPI_Request request;
+                                                         const MPI_Comm& clientIntraComm,
+                                                         std::vector<MPI_Request>& requestRecvIndex)
+{
+  MPI_Request request;
   requestRecvIndex.push_back(request);
-  ep_lib::MPI_Irecv(indices, indiceSize, EP_UNSIGNED_LONG,
+  MPI_Irecv(indices, indiceSize, MPI_UNSIGNED_LONG,
             clientSrcRank, MPI_DHT_INDEX, clientIntraComm, &(requestRecvIndex.back()));
-}
-
-/*!
-  Receive message containing index to clients
-  \param [in] clientDestRank rank of destination client
-  \param [in] indices index to send
-  \param [in] clientIntraComm communication group of client
-  \param [in] requestRecvIndex receiving request
-*/
-template<typename T, typename H>
-void CClientClientDHTTemplate<T,H>::recvIndexFromClients(int clientSrcRank, size_t* indices, size_t indiceSize,
-                                                         const ep_lib::MPI_Comm& clientIntraComm,
-                                                         ep_lib::MPI_Request *requestRecvIndex)
-{
-  ep_lib::MPI_Irecv(indices, indiceSize, EP_UNSIGNED_LONG,
-            clientSrcRank, MPI_DHT_INDEX, clientIntraComm, requestRecvIndex);
 }
 
@@ -636,29 +555,12 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::sendInfoToClients(int clientDestRank, unsigned char* info, int infoSize,
-                                                      const ep_lib::MPI_Comm& clientIntraComm,
-                                                      std::vector<ep_lib::MPI_Request>& requestSendInfo)
-{
-  ep_lib::MPI_Request request;
+                                                      const MPI_Comm& clientIntraComm,
+                                                      std::vector<MPI_Request>& requestSendInfo)
+{
+  MPI_Request request;
   requestSendInfo.push_back(request);
 
-  ep_lib::MPI_Isend(info, infoSize, EP_CHAR,
+  MPI_Isend(info, infoSize, MPI_CHAR,
             clientDestRank, MPI_DHT_INFO, clientIntraComm, &(requestSendInfo.back()));
-}
-
-/*!
-  Send message containing information to clients
-  \param [in] clientDestRank rank of destination client
-  \param [in] info info array to send
-  \param [in] infoSize info array size to send
-  \param [in] clientIntraComm communication group of client
-  \param [in] requestSendInfo sending request
-*/
-template<typename T, typename H>
-void CClientClientDHTTemplate<T,H>::sendInfoToClients(int clientDestRank, unsigned char* info, int infoSize,
-                                                      const ep_lib::MPI_Comm& clientIntraComm,
-                                                      ep_lib::MPI_Request *requestSendInfo)
-{
-  ep_lib::MPI_Isend(info, infoSize, EP_CHAR,
-            clientDestRank, MPI_DHT_INFO, clientIntraComm, requestSendInfo);
 }
 
@@ -673,29 +575,12 @@
 template<typename T, typename H>
 void CClientClientDHTTemplate<T,H>::recvInfoFromClients(int clientSrcRank, unsigned char* info, int infoSize,
-                                                        const ep_lib::MPI_Comm& clientIntraComm,
-                                                        std::vector<ep_lib::MPI_Request>& requestRecvInfo)
-{
-  ep_lib::MPI_Request request;
+                                                        const MPI_Comm& clientIntraComm,
+                                                        std::vector<MPI_Request>& requestRecvInfo)
+{
+  MPI_Request request;
   requestRecvInfo.push_back(request);
 
-  ep_lib::MPI_Irecv(info, infoSize, EP_CHAR,
+  MPI_Irecv(info, infoSize, MPI_CHAR,
             clientSrcRank, MPI_DHT_INFO, clientIntraComm, &(requestRecvInfo.back()));
-}
-
-/*!
-  Receive message containing information from other clients
-  \param [in] clientDestRank rank of destination client
-  \param [in] info info array to receive
-  \param [in] infoSize info array size to receive
-  \param [in] clientIntraComm communication group of client
-  \param [in] requestRecvInfo list of receiving request
-*/
-template<typename T, typename H>
-void CClientClientDHTTemplate<T,H>::recvInfoFromClients(int clientSrcRank, unsigned char* info, int infoSize,
-                                                        const ep_lib::MPI_Comm& clientIntraComm,
-                                                        ep_lib::MPI_Request* requestRecvInfo)
-{
-  ep_lib::MPI_Irecv(info, infoSize, EP_CHAR,
-            clientSrcRank, MPI_DHT_INFO, clientIntraComm, requestRecvInfo);
 }
 
@@ -766,11 +651,11 @@
 {
   recvNbElements.resize(recvNbRank.size());
-  std::vector<ep_lib::MPI_Request> request(sendNbRank.size()+recvNbRank.size());
-  std::vector<ep_lib::MPI_Status> requestStatus(sendNbRank.size()+recvNbRank.size());
+  std::vector<MPI_Request> request(sendNbRank.size()+recvNbRank.size());
+  std::vector<MPI_Status> requestStatus(sendNbRank.size()+recvNbRank.size());
 
   int nRequest = 0;
   for (int idx = 0; idx < recvNbRank.size(); ++idx)
   {
-    ep_lib::MPI_Irecv(&recvNbElements[0]+idx, 1, EP_INT,
+    MPI_Irecv(&recvNbElements[0]+idx, 1, MPI_INT,
               recvNbRank[idx], MPI_DHT_INDEX_1, this->internalComm_, &request[nRequest]);
     ++nRequest;
@@ -779,10 +664,10 @@
   for (int idx = 0; idx < sendNbRank.size(); ++idx)
   {
-    ep_lib::MPI_Isend(&sendNbElements[0]+idx, 1, EP_INT,
+    MPI_Isend(&sendNbElements[0]+idx, 1, MPI_INT,
               sendNbRank[idx], MPI_DHT_INDEX_1, this->internalComm_, &request[nRequest]);
     ++nRequest;
   }
 
-  ep_lib::MPI_Waitall(sendNbRank.size()+recvNbRank.size(), &request[0], &requestStatus[0]);
+  MPI_Waitall(sendNbRank.size()+recvNbRank.size(), &request[0], &requestStatus[0]);
 }
 
@@ -811,11 +696,11 @@
   std::vector<int> recvBuff(recvBuffSize*2,0);
 
-  std::vector<ep_lib::MPI_Request> request(sendBuffSize+recvBuffSize);
-  std::vector<ep_lib::MPI_Status> requestStatus(sendBuffSize+recvBuffSize);
+  std::vector<MPI_Request> request(sendBuffSize+recvBuffSize);
+  std::vector<MPI_Status> requestStatus(sendBuffSize+recvBuffSize);
 
   int nRequest = 0;
   for (int idx = 0; idx < recvBuffSize; ++idx)
   {
-    ep_lib::MPI_Irecv(&recvBuff[0]+2*idx, 2, EP_INT,
+    MPI_Irecv(&recvBuff[0]+2*idx, 2, MPI_INT,
               recvRank[idx], MPI_DHT_INDEX_0, this->internalComm_, &request[nRequest]);
     ++nRequest;
@@ -831,10 +716,10 @@
   for (int idx = 0; idx < sendBuffSize; ++idx)
   {
-    ep_lib::MPI_Isend(&sendBuff[idx*2], 2, EP_INT,
+    MPI_Isend(&sendBuff[idx*2], 2, MPI_INT,
               sendRank[idx], MPI_DHT_INDEX_0, this->internalComm_, &request[nRequest]);
     ++nRequest;
   }
 
-  ep_lib::MPI_Waitall(sendBuffSize+recvBuffSize, &request[0], &requestStatus[0]);
+  MPI_Waitall(sendBuffSize+recvBuffSize, &request[0], &requestStatus[0]);
   int nbRecvRank = 0, nbRecvElements = 0;
   recvNbRank.clear();
Index: /XIOS/trunk/src/client_server_mapping.cpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping.cpp	(revision 1638)
+++ /XIOS/trunk/src/client_server_mapping.cpp	(revision 1639)
@@ -30,5 +30,5 @@
 */
 std::map<int,int> CClientServerMapping::computeConnectedClients(int nbServer, int nbClient,
-                                                                ep_lib::MPI_Comm& clientIntraComm,
+                                                                MPI_Comm& clientIntraComm,
                                                                 const std::vector<int>& connectedServerRank)
 {
@@ -62,5 +62,5 @@
 
   // get connected server for everybody
-  ep_lib::MPI_Allgather(&nbConnectedServer,1,EP_INT,recvCount,1,EP_INT,clientIntraComm) ;
+  MPI_Allgather(&nbConnectedServer,1,MPI_INT,recvCount,1,MPI_INT,clientIntraComm) ;
 
   displ[0]=0 ;
@@ -70,5 +70,5 @@
 
 
-  ep_lib::MPI_Allgatherv(sendBuff,nbConnectedServer,EP_INT,recvBuff,recvCount,displ,EP_INT,clientIntraComm) ;
+  MPI_Allgatherv(sendBuff,nbConnectedServer,MPI_INT,recvBuff,recvCount,displ,MPI_INT,clientIntraComm) ;
   for(int n=0;n<recvSize;n++) clientRes[recvBuff[n]]++ ;
 
Index: /XIOS/trunk/src/client_server_mapping.hpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping.hpp	(revision 1638)
+++ /XIOS/trunk/src/client_server_mapping.hpp	(revision 1639)
@@ -37,5 +37,5 @@
 
     static std::map<int,int> computeConnectedClients(int nbServer, int nbClient,
-                                                     ep_lib::MPI_Comm& clientIntraComm,
+                                                     MPI_Comm& clientIntraComm,
                                                      const std::vector<int>& connectedServerRank);
 
Index: /XIOS/trunk/src/client_server_mapping_distributed.cpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping_distributed.cpp	(revision 1638)
+++ /XIOS/trunk/src/client_server_mapping_distributed.cpp	(revision 1639)
@@ -20,5 +20,5 @@
 
 CClientServerMappingDistributed::CClientServerMappingDistributed(const std::unordered_map<size_t,int>& globalIndexOfServer,
-                                                                 const ep_lib::MPI_Comm& clientIntraComm, bool isDataDistributed)
+                                                                 const MPI_Comm& clientIntraComm, bool isDataDistributed)
   : CClientServerMapping(), ccDHT_(0)
 {
Index: /XIOS/trunk/src/client_server_mapping_distributed.hpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping_distributed.hpp	(revision 1638)
+++ /XIOS/trunk/src/client_server_mapping_distributed.hpp	(revision 1639)
@@ -35,5 +35,5 @@
     /** Default constructor */
     CClientServerMappingDistributed(const std::unordered_map<size_t,int>& globalIndexOfServer,
-                                    const ep_lib::MPI_Comm& clientIntraComm,
+                                    const MPI_Comm& clientIntraComm,
                                     bool isDataDistributed = true);
 
Index: /XIOS/trunk/src/context_client.cpp
===================================================================
--- /XIOS/trunk/src/context_client.cpp	(revision 1638)
+++ /XIOS/trunk/src/context_client.cpp	(revision 1639)
@@ -21,5 +21,5 @@
     \cxtSer [in] cxtSer Pointer to context of server side. (It is only used in case of attached mode).
     */
-    CContextClient::CContextClient(CContext* parent, ep_lib::MPI_Comm intraComm_, ep_lib::MPI_Comm interComm_, CContext* cxtSer)
+    CContextClient::CContextClient(CContext* parent, MPI_Comm intraComm_, MPI_Comm interComm_, CContext* cxtSer)
      : mapBufferSize_(), parentServer(cxtSer), maxBufferedEvents(4)
     {
@@ -27,11 +27,11 @@
       intraComm = intraComm_;
       interComm = interComm_;
-      ep_lib::MPI_Comm_rank(intraComm, &clientRank);
-      ep_lib::MPI_Comm_size(intraComm, &clientSize);
+      MPI_Comm_rank(intraComm, &clientRank);
+      MPI_Comm_size(intraComm, &clientSize);
 
       int flag;
-      ep_lib::MPI_Comm_test_inter(interComm, &flag);
-      if (flag) ep_lib::MPI_Comm_remote_size(interComm, &serverSize);
-      else  ep_lib::MPI_Comm_size(interComm, &serverSize);
+      MPI_Comm_test_inter(interComm, &flag);
+      if (flag) MPI_Comm_remote_size(interComm, &serverSize);
+      else  MPI_Comm_size(interComm, &serverSize);
 
       computeLeader(clientRank, clientSize, serverSize, ranksServerLeader, ranksServerNotLeader);
@@ -102,7 +102,7 @@
         classId_in=event.getClassId() ;
 //        MPI_Allreduce(&timeLine,&timeLine_out, 1, MPI_UINT64_T, MPI_SUM, intraComm) ; // MPI_UINT64_T standardized by MPI 3
-        ep_lib::MPI_Allreduce(&timeLine,&timeLine_out, 1, EP_LONG_LONG_INT, EP_SUM, intraComm) ; 
-        ep_lib::MPI_Allreduce(&typeId_in,&typeId, 1, EP_INT, EP_SUM, intraComm) ;
-        ep_lib::MPI_Allreduce(&classId_in,&classId, 1, EP_INT, EP_SUM, intraComm) ;
+        MPI_Allreduce(&timeLine,&timeLine_out, 1, MPI_LONG_LONG_INT, MPI_SUM, intraComm) ; 
+        MPI_Allreduce(&typeId_in,&typeId, 1, MPI_INT, MPI_SUM, intraComm) ;
+        MPI_Allreduce(&classId_in,&classId, 1, MPI_INT, MPI_SUM, intraComm) ;
         if (typeId/clientSize!=event.getTypeId() || classId/clientSize!=event.getClassId() || timeLine_out/clientSize!=timeLine)
         {
@@ -343,9 +343,5 @@
        if (ratio < minBufferSizeEventSizeRatio) minBufferSizeEventSizeRatio = ratio;
      }
-     #ifdef _usingMPI
-     ep_lib::MPI_Allreduce(MPI_IN_PLACE, &minBufferSizeEventSizeRatio, 1, EP_DOUBLE, EP_MIN, intraComm);
-     #elif _usingEP
-     ep_lib::MPI_Allreduce(&minBufferSizeEventSizeRatio, &minBufferSizeEventSizeRatio, 1, EP_DOUBLE, EP_MIN, intraComm);
-     #endif
+     MPI_Allreduce(MPI_IN_PLACE, &minBufferSizeEventSizeRatio, 1, MPI_DOUBLE, MPI_MIN, intraComm);
 
      if (minBufferSizeEventSizeRatio < 1.0)
